Subject: [os2genau_digest] No. 461
From: Digest <deadmail>
To: "OS/2GenAu Digest"<deadmail>
Date: Fri, 4 Oct 2002 00:02:04 EST-10EDT,10,-1,0,7200,3,-1,0,7200,3600

**************************************************
Thursday 03 October 2002
 Number  461
**************************************************

Subjects for today
 
1  Re: [os2genau] Problems with IBM Browser v 2.0 : Ian Manners" <deadmail>
2  Re: [os2genau] Problems with IBM Browser v 2.0 : Ed Durrant <edurrant at bigpond dot net dot au>
3  Re: [os2genau] Problems with IBM Browser v 2.0 : Ed Durrant <edurrant at bigpond dot net dot au>
4  Re: [os2genau] Problems with IBM Browser v 2.0 : Ian Manners" <deadmail>
5  Re: [os2genau] DDNS & DHCP with Win2K not working : Chris Graham [WarpSpeed]" <chrisg at warpspeed dot com dot au>
6  Re: [os2genau] Problems with IBM Browser v 2.0 : Ed Durrant <edurrant at bigpond dot net dot au>
7  Re: [os2genau] DDNS & DHCP with Win2K not working : Ed Durrant <edurrant at bigpond dot net dot au>

**= Email   1 ==========================**

Date:  Thu, 03 Oct 2002 00:55:44 +1000 (EST)
From:  "Ian Manners" <deadmail>
Subject:  Re: [os2genau] Problems with IBM Browser v 2.0

Hi Ed

>For those who had got the Browser to work, did you have to do
>anything other than run install.exe ??

Deinstall the old version, then go to the x:\os2web directory
and ensure you delete ALL *.DLL files in this directory as well
as x:\os2web\components. If you find you have some locked
DLL's, boot to the prompt and zap them. Reboot then install.
After reinstalling, if you are using flash v5, copy the DLL from
your flash directory back to the plugins directory.

Cheers
Ian B Manners

You can say any foolish thing to a dog, and the dog will give you that 
look that says, "My God, you're right! I never would've thought of that!"
                                  -Dave Barry
----------------------------------------------------------------------------------

**= Email   2 ==========================**

Date:  Thu, 03 Oct 2002 06:39:09 +1000
From:  Ed Durrant <edurrant at bigpond dot net dot au>
Subject:  Re: [os2genau] Problems with IBM Browser v 2.0

No my experience with -turbo is that it causes too many problems at
system shutdown time. i.e. I have to kill the Mozilla modules before
I shut down the PC. apparently this doesn't occur on eComstation,
only OS/2 Warp 4 (CP2).

I do, as you obviously do aswell, run Mozilla/2 alongside IWB. I
suspect we're looking at duplicate module names and path / libpath
picking up the wrong one.

Ed. 

Paul Smedley wrote:
> 
> Ed,
> You don't have mozilla or anything in Startup with -turbo?
> 
> IWB 2.0 works fine here - although I still tend to use Mozilla 1.2 most of the time...
> 
> Regards,
> 
> Paul.
> 
> On Wed, 02 Oct 2002 20:45:30 +1000, Ed Durrant wrote:
> 
> >Following delete and re-install of the new IBM Web Browser as was
> >suggested on this list, the program still does not start. It now
> >reports a demand load failure on one of its modules.
> >
> >The previous version installed and ran without problems. Is this
> >progress ?
> >
> >For those who had got the Browser to work, did you have to do
> >anything other than run install.exe ??
> >
> >Cheers/2
> >
> >Ed.

> > 

> >
> 

>  

----------------------------------------------------------------------------------

**= Email   3 ==========================**

Date:  Thu, 03 Oct 2002 06:40:49 +1000
From:  Ed Durrant <edurrant at bigpond dot net dot au>
Subject:  Re: [os2genau] Problems with IBM Browser v 2.0

Thanks for the tip, Ian. I'll try that - what a pain though !
Perhaps if I'd done a de-install and re-install to start with,
rather than attempting the upgrade option, I wouldn't have had this
problem ?

Ed.

Ian Manners wrote:
> 
> Hi Ed
> 
> >For those who had got the Browser to work, did you have to do
> >anything other than run install.exe ??
> 
> Deinstall the old version, then go to the x:\os2web directory
> and ensure you delete ALL *.DLL files in this directory as well
> as x:\os2web\components. If you find you have some locked
> DLL's, boot to the prompt and zap them. Reboot then install.
> After reinstalling, if you are using flash v5, copy the DLL from
> your flash directory back to the plugins directory.
> 
> Cheers
> Ian B Manners
> 
> You can say any foolish thing to a dog, and the dog will give you that
> look that says, "My God, you're right! I never would've thought of that!"
>                                   -Dave Barry

>  

----------------------------------------------------------------------------------

**= Email   4 ==========================**

Date:  Thu, 03 Oct 2002 10:34:20 +1000 (EST)
From:  "Ian Manners" <deadmail>
Subject:  Re: [os2genau] Problems with IBM Browser v 2.0

Hi Ed

>Thanks for the tip, Ian. I'll try that - what a pain though !
>Perhaps if I'd done a de-install and re-install to start with,
>rather than attempting the upgrade option, I wouldn't have had this
>problem ?

I got caught out on this as well. The re-install didnt work for me
until I deleted the other DLL's in the IWB directory except the
plugins. IWB does pick up you old profile ok but the standard
clause applies, backup :-)

As your running Moz and IWB I assume your changing the
MOZILLA HOME set statment as well as the paths ?

Cheers
Ian B Manners

Dinner not ready:  (A)bort (R)etry (P)izza
----------------------------------------------------------------------------------

**= Email   5 ==========================**

Date:  Thu, 03 Oct 2002 15:28:38 +1000 (EST)
From:  "Chris Graham [WarpSpeed]" <chrisg at warpspeed dot com dot au>
Subject:  Re: [os2genau] DDNS & DHCP with Win2K not working

On Wed, 02 Oct 2002 21:50:17 +1000 (EST), Chris Graham [WarpSpeed] wrote:

The OS/2 client appears to do the same thing.
But I thought that the problem was with the server side anyway, just not
sure where!

>On Wed, 02 Oct 2002 19:19:34 +1000, Ed Durrant wrote:
>
>>Well the line
>>
>>DNSSendUpdate ...failed(5)
>>
>>is obviously the relevant one.
>>
>>Does DDNS update work when using an OS/2 client ?  If so then we
>>have an incompatibility between the platforms. If the OS/2 client
>>doesn't work either, then it's possibly the DDNS config.
>
>I've not checked. I'll see if I can set one up (an OS/2 client that is).
>
>-Chris
>
>>Ed.
>>
>>"Chris Graham [WarpSpeed]" wrote:
>>> 
>>> On Wed, 02 Oct 2002 09:52:15 +1000 (EST), Chris Graham [WarpSpeed] wrote:
>>> 
>>> >On Mon, 30 Sep 2002 19:20:21 +1000, Ed Durrant wrote:
>>> >
>>> >>If you're running OS/2 DDNS server, I suspect Windows 2000's AD
>>> >>won't work with it (ie use it).
>>> >>
>>> >>Can you clarify if you're talking about DDNS client on OS/2 Warp
>>> >>talking to a W2k server, and if so is your W2k domain running in
>>> >>Native or Mixed mode and if the latter do you have the WinNT
>>> >>compatibility option (PDC emulator Operations master)on the domain
>>> >>controller ?
>>> >>
>>> >>Or are you talking about DDNS runing on an OS/2 Warp Server for
>>> >>e-business machine, possibly along with DNS and DHCP, to support
>>> >>Win2k Professional clients ?
>>> >
>>> >Yup.
>>> >
>>> >I have the WSeB DC running DDNS and DHCP.
>>> >
>>> >I have Win2K Prof on my IBM TP20p.
>>> >
>>> >It can request (and get successfully assigned) an IP address, so I think
>>> >that the DHCP bit is working. But the DDNS update is failing. There is an
>>> >error listed (ie, an error occured) but it does not detail exactly just
>>> >what it is.
>>> 
>>> Here is the output of NSUPDATE as it runs:
>>> 
>>> StartMainQueueThread started
>>> Error opening file
>>> ..0..
>>> MianQ.. Wait ...
>>> 
>>> Then, when a real DHCP request comes along
>>> 
>>> 1:33:06 2002
>>> Size of mainQ is 1
>>> CMainQueue::Run waken up...going to work.
>>> deleted from mainq -r203.27.78.160
>>> Added to aurora.warpspeed dot com dot au queue -r203.27.78.160 with transid
>>> 1033572786 a
>>> t entrytime Wed Oct  2 11:33:06 2002
>>> Size of queue aurora.warpspeed dot com dot au is 1
>>> signalled the mainQ thread
>>> ..0..
>>> CRetryServer::Retry aurora.warpspeed dot com dot au active
>>> MianQ.. Wait ...
>>> ..0..
>>> CRetryServer::Retry aurora.warpspeed dot com dot au active
>>> Process: item from aurora.warpspeed dot com dot au with transid = 1033572786
>>> posted event sem rc = 0
>>> --- NSUPDATE Utility ---
>>> ---
>>> InitDDNSUpdate ...rc = -1, rc2 = 10035  10035
>>> ... succeeded ...
>>> DDNSUpdate_PTR (Delete *) ...succeeded
>>> DDNSUpdate_PTR (Add THINKPADA20.warpspeed dot com dot au) ...succeeded
>>> DDNSSignUpdate ...succeeded
>>> DNSSendUpdate ...failed(5)
>>> do_request: prcessReq returned5
>>> 
>>> -Chris
>>> 
>>> WarpSpeed Computers - The Graham Utilities for OS/2.
>>> Voice:  +61-3-9307-0611  PO Box 212   FidoNet:     3:632/344
>>> FAX:    +61-3-9307-0633  Brunswick    Internet:    chrisg at warpspeed dot com dot au
>>> BBS:    +61-3-9307-0644  VIC 3056     CompuServe:  100250,1645
>>> 300-28,800  N,8,1 ANSI   Australia    Web Page:
>>>                                       http://www.warpspeed dot com dot au
>>> 

>>>  

>> 

>>
>
>-Chris
>
>WarpSpeed Computers - The Graham Utilities for OS/2.
>Voice:  +61-3-9307-0611  PO Box 212   FidoNet:     3:632/344
>FAX:    +61-3-9307-0633  Brunswick    Internet:    chrisg at warpspeed dot com dot au
>BBS:    +61-3-9307-0644  VIC 3056     CompuServe:  100250,1645
>300-28,800  N,8,1 ANSI   Australia    Web Page:
>                                      http://www.warpspeed dot com dot au
>
>
>
>

> 

>

-Chris

WarpSpeed Computers - The Graham Utilities for OS/2.
Voice:  +61-3-9307-0611  PO Box 212   FidoNet:     3:632/344
FAX:    +61-3-9307-0633  Brunswick    Internet:    chrisg at warpspeed dot com dot au
BBS:    +61-3-9307-0644  VIC 3056     CompuServe:  100250,1645
300-28,800  N,8,1 ANSI   Australia    Web Page:
                                      http://www.warpspeed dot com dot au

----------------------------------------------------------------------------------

**= Email   6 ==========================**

Date:  Thu, 03 Oct 2002 17:31:10 +1000
From:  Ed Durrant <edurrant at bigpond dot net dot au>
Subject:  Re: [os2genau] Problems with IBM Browser v 2.0

There's been no reason so far to change the Mozilla_home statement,
that I have found. With it set as it was for Mozilla IWB 1.x worked
fine.

Ed.

Ian Manners wrote:
> 
> Hi Ed
> 
> >Thanks for the tip, Ian. I'll try that - what a pain though !
> >Perhaps if I'd done a de-install and re-install to start with,
> >rather than attempting the upgrade option, I wouldn't have had this
> >problem ?
> 
> I got caught out on this as well. The re-install didnt work for me
> until I deleted the other DLL's in the IWB directory except the
> plugins. IWB does pick up you old profile ok but the standard
> clause applies, backup :-)
> 
> As your running Moz and IWB I assume your changing the
> MOZILLA HOME set statment as well as the paths ?
> 
> Cheers
> Ian B Manners
> 
> Dinner not ready:  (A)bort (R)etry (P)izza

>  

----------------------------------------------------------------------------------

**= Email   7 ==========================**

Date:  Thu, 03 Oct 2002 17:39:23 +1000
From:  Ed Durrant <edurrant at bigpond dot net dot au>
Subject:  Re: [os2genau] DDNS & DHCP with Win2K not working

DDNS Config:		
Modified extract from NSMINST.INF in \doc\install on the NSM/2 CD if
you need further info check this very good file.

To configure the DDNS Server, do the following: 
 1.Start the DDNS Server Administrator program from the DDNS server 
   services folder. 
 2.In the Domain Name Server notebook, select the Server tab to
   verify that the information for the name server is correct. 
   Click OK. 
 3.Define the DDNS server as the primary server for your domain as
follows: 
 a.Click Add Primary Domain on the tool bar to open the Primary
Domain notebook. 
 b.On the Domain Configuration page, be sure the domain type is
dynamic (the default); then, type the your complete domain name.
(eg. Durrant dot mine dot nu) 
 c.Click OK to close the notebook. When you close the notebook, the
zone key for the domain is created automatically for you. An alias
is also created for this server. 
 4.Define the DDNS server as the primary server for the reverse
domain as follows: 
 a.Click Add Primary Domain on the tool bar to open the Primary
Domain notebook. 
 b.On the Domain Configuration tab, be sure the domain type is
dynamic (the default), and type your complete reverse domain name.
Reverse domain name has to be entered as a number not a name (e.g.
1.168.192.in-addr.arpa) 
 c.Click OK to close the notebook. When you close the notebook, the
zone key for the domain is created automatically for you. 
 5.Click File -> Save on the menu bar to save the configuration. 
 6.Click Server -> Start the Name Server on the menu bar to start
the DDNS server. 
 7.Click File -> Exit to exit the program. 

Cheers/2

Ed.

"Chris Graham [WarpSpeed]" wrote:
> 
> On Wed, 02 Oct 2002 21:50:17 +1000 (EST), Chris Graham [WarpSpeed] wrote:
> 
> The OS/2 client appears to do the same thing.
> But I thought that the problem was with the server side anyway, just not
> sure where!
> 
> >On Wed, 02 Oct 2002 19:19:34 +1000, Ed Durrant wrote:
> >
> >>Well the line
> >>
> >>DNSSendUpdate ...failed(5)
> >>
> >>is obviously the relevant one.
> >>
> >>Does DDNS update work when using an OS/2 client ?  If so then we
> >>have an incompatibility between the platforms. If the OS/2 client
> >>doesn't work either, then it's possibly the DDNS config.
> >
> >I've not checked. I'll see if I can set one up (an OS/2 client that is).
> >
> >-Chris
> >
> >>Ed.
> >>
> >>"Chris Graham [WarpSpeed]" wrote:
> >>>
> >>> On Wed, 02 Oct 2002 09:52:15 +1000 (EST), Chris Graham [WarpSpeed] wrote:
> >>>
> >>> >On Mon, 30 Sep 2002 19:20:21 +1000, Ed Durrant wrote:
> >>> >
> >>> >>If you're running OS/2 DDNS server, I suspect Windows 2000's AD
> >>> >>won't work with it (ie use it).
> >>> >>
> >>> >>Can you clarify if you're talking about DDNS client on OS/2 Warp
> >>> >>talking to a W2k server, and if so is your W2k domain running in
> >>> >>Native or Mixed mode and if the latter do you have the WinNT
> >>> >>compatibility option (PDC emulator Operations master)on the domain
> >>> >>controller ?
> >>> >>
> >>> >>Or are you talking about DDNS runing on an OS/2 Warp Server for
> >>> >>e-business machine, possibly along with DNS and DHCP, to support
> >>> >>Win2k Professional clients ?
> >>> >
> >>> >Yup.
> >>> >
> >>> >I have the WSeB DC running DDNS and DHCP.
> >>> >
> >>> >I have Win2K Prof on my IBM TP20p.
> >>> >
> >>> >It can request (and get successfully assigned) an IP address, so I think
> >>> >that the DHCP bit is working. But the DDNS update is failing. There is an
> >>> >error listed (ie, an error occured) but it does not detail exactly just
> >>> >what it is.
> >>>
> >>> Here is the output of NSUPDATE as it runs:
> >>>
> >>> StartMainQueueThread started
> >>> Error opening file
> >>> ..0..
> >>> MianQ.. Wait ...
> >>>
> >>> Then, when a real DHCP request comes along
> >>>
> >>> 1:33:06 2002
> >>> Size of mainQ is 1
> >>> CMainQueue::Run waken up...going to work.
> >>> deleted from mainq -r203.27.78.160
> >>> Added to aurora.warpspeed dot com dot au queue -r203.27.78.160 with transid
> >>> 1033572786 a
> >>> t entrytime Wed Oct  2 11:33:06 2002
> >>> Size of queue aurora.warpspeed dot com dot au is 1
> >>> signalled the mainQ thread
> >>> ..0..
> >>> CRetryServer::Retry aurora.warpspeed dot com dot au active
> >>> MianQ.. Wait ...
> >>> ..0..
> >>> CRetryServer::Retry aurora.warpspeed dot com dot au active
> >>> Process: item from aurora.warpspeed dot com dot au with transid = 1033572786
> >>> posted event sem rc = 0
> >>> --- NSUPDATE Utility ---
> >>> ---
> >>> InitDDNSUpdate ...rc = -1, rc2 = 10035  10035
> >>> ... succeeded ...
> >>> DDNSUpdate_PTR (Delete *) ...succeeded
> >>> DDNSUpdate_PTR (Add THINKPADA20.warpspeed dot com dot au) ...succeeded
> >>> DDNSSignUpdate ...succeeded
> >>> DNSSendUpdate ...failed(5)
> >>> do_request: prcessReq returned5
> >>>
> >>> -Chris
> >>>
> >>> WarpSpeed Computers - The Graham Utilities for OS/2.
> >>> Voice:  +61-3-9307-0611  PO Box 212   FidoNet:     3:632/344
> >>> FAX:    +61-3-9307-0633  Brunswick    Internet:    chrisg at warpspeed dot com dot au
> >>> BBS:    +61-3-9307-0644  VIC 3056     CompuServe:  100250,1645
> >>> 300-28,800  N,8,1 ANSI   Australia    Web Page:
> >>>                                       http://www.warpspeed dot com dot au
> >>>
> 
> >>>  
> 
> 
> >> 
> 
> >>
> >
> >-Chris
> >
> >WarpSpeed Computers - The Graham Utilities for OS/2.
> >Voice:  +61-3-9307-0611  PO Box 212   FidoNet:     3:632/344
> >FAX:    +61-3-9307-0633  Brunswick    Internet:    chrisg at warpspeed dot com dot au
> >BBS:    +61-3-9307-0644  VIC 3056     CompuServe:  100250,1645
> >300-28,800  N,8,1 ANSI   Australia    Web Page:
> >                                      http://www.warpspeed dot com dot au
> >
> >
> >
> >

> > 

> >
> 
> -Chris
> 
> WarpSpeed Computers - The Graham Utilities for OS/2.
> Voice:  +61-3-9307-0611  PO Box 212   FidoNet:     3:632/344
> FAX:    +61-3-9307-0633  Brunswick    Internet:    chrisg at warpspeed dot com dot au
> BBS:    +61-3-9307-0644  VIC 3056     CompuServe:  100250,1645
> 300-28,800  N,8,1 ANSI   Australia    Web Page:
>                                       http://www.warpspeed dot com dot au
> 

>  

----------------------------------------------------------------------------------